2 Replies Latest reply on Aug 28, 2007 12:09 PM by gum naam

    jboss 4.0.5 and jbossws 2.0.1, Exception invoking a web serv

    gum naam Newbie

      I have a very simple EJB3 SLSB EchoService, which has one method hello.
      Operation hello takes in a string and returns the same string.

      If I deploy this application, in jboss 4.0.5 stock which comes with
      jbossws 1.0.3, then I am able to successfully invoke the hello operation using soapui.

      Now If I install jbossws 2.0.1 in my jboss 4.0.5, the application
      starts up fine, the wsdl is also generated correctly, but upon invoking the hello method from soapui, I get the following error on the server.


      18:08:15,776 ERROR [SOAPFaultHelperJAXWS] SOAP request exception
      org.jboss.ws.core.CommonSOAPFaultException: Endpoint {http://ejb.myproj.mycomp.com/}EchoServicePort does not contain operation meta data for: {http://ejb.myproj.mycomp.com/}hello
      at org.jboss.ws.core.server.ServiceEndpointInvoker.getDispatchDestination(ServiceEndpointInvoker.java:457)
      at org.jboss.ws.core.server.ServiceEndpointInvoker.invoke(ServiceEndpointInvoker.java:176)
      at org.jboss.wsf.stack.jbws.RequestHandlerImpl.processRequest(RequestHandlerImpl.java:408)
      at org.jboss.wsf.stack.jbws.RequestHandlerImpl.handleRequest(RequestHandlerImpl.java:272)
      at org.jboss.wsf.stack.jbws.RequestHandlerImpl.doPost(RequestHandlerImpl.java:189)
      at org.jboss.wsf.stack.jbws.RequestHandlerImpl.handleHttpRequest(RequestHandlerImpl.java:122)
      at org.jboss.wsf.stack.jbws.EndpointServlet.service(EndpointServlet.java:84)


      I need to upgrade to jbossws 2.0.1 as we will soon be migrating to jdk 1.6, and jbossws 1.0.3 does not work with jdk 1.6.

      Any pointers will he appriciated.